#!/bin/bash

BOCCA_HOME=/hivehomes/normanlo/CCA/InterComm/install
CCAFE_CONFIG=/hivehomes/normanlo/CCA/cca-tools-contractor-0.2.3/install/bin/ccafe-config
BOCCA=/hivehomes/normanlo/CCA/cca-tools-contractor-0.2.3/install/bin/bocca
if test -x $BOCCA; then
	:
else
	echo "It looks like this project has not been configured yet or not configured with bocca."
	echo "The gui launcher script requires configuration with bocca."
	exit 1
fi

PROJECT_DIR=/hivehomes/normanlo/CCA/InterComm

$PROJECT_DIR/buildutils/testComponent.sh --gui \
	--ccafe-rc $PROJECT_DIR/components/tests/guitest.gen.rc \
	--cca-dir $PROJECT_DIR/install/share/cca \
	--lib-dir $PROJECT_DIR/install/lib \
	--ccafe-config $CCAFE_CONFIG $*
